// import Vue from 'vue'
// import Router from 'vue-router'
// import m_index from '@/components/m_page/index'
// import m_success from '@/components/m_page/success'
// import pc_index from '@/components/pc_page/pc_index'
// import m_404 from '@/components/m_page/404'
// Vue.use(Router)
// export default new Router({
//   mode: 'hash',
//   routes: [
//     {
//       path: '/m_index',
//       name: 'm_index',
//       component: m_index
//     },
//     {
//       path: '/m_success',
//       name: 'm_success',
//       component: m_success
//     },
//     {
//       path: '/m_404',
//       name: 'm_404',
//       component: m_404
//     },
//     {
//       path: '/pc_index',
//       name: 'pc_index',
//       component: pc_index
//     }
//   ]
// })

import Vue from 'vue';
import VueRouter from 'vue-router';
import { oneValues, isEmpty } from "@/lib/js/common";
Vue.use(VueRouter);
const routes = [
  {
    path: '/m_index',
    name: 'm_index',
    component: resolve => require(['@/components/m_page/index'], resolve)
  },
  {
    path: '/m_success',
    name: 'm_success',
    component: resolve => require(['@/components/m_page/success'], resolve)
  },
  {
    path: '/m_404',
    name: 'm_404',
    component: resolve => require(['@/components/m_page/404'], resolve)
  },
  {
    path: '/pc_index',
    name: 'pc_index',
    component: resolve => require(['@/components/pc_page/pc_index'], resolve)
  },
  {
    path: '/withdrawalRecord',
    name: 'withdrawalRecord',
    component: resolve => require(['@/components/pc_page/withdrawalRecord'], resolve)
  },
]
var router = new VueRouter({
  mode: 'hash',
  routes: routes
});
router.beforeEach((to, from, next) => {
  // var platform = oneValues("platform");
  // console.log(platform)
  // if (!isEmpty(oneValues("platform"))) {
  //   if (platform == "driver") {
  //     if (to.path === '/') {
  //       console.log(oneValues("token")+"__________________")
  //       return next({
  //         path: '/m_index', query: {
  //           token: oneValues("token")
  //         }
  //       });
  //     } else {
  //       return  next();
      // }
    // }
  // }
  next()
});
export default router;
