import { get ,post} from '@/request/http'
import globalAPI from '@/request/globalAPI'
//查询信息
export function getBusinessIndo(token, data = {}) {
    const url = globalAPI.BASE_URL+'auth/support/' + token;
    return get(url, data)
}
//修改密码
export function update(data = {}) {
    const url = globalAPI.BUSINESS_URL+'payment/v1/password/update';
    return post(url, data)
}
//新增密码
export function activationNewPaw(data = {}) {
    const url = globalAPI.BUSINESS_URL+'payment/v1/password/activation';
    return post(url, data)
}
//开通结算账户
export function cloneAccountplatform(data = {}) {
    const url = globalAPI.BUSINESS_URL+'payment/v1/xoado/cloneAccount';
    return post(url, data)
}
//解绑银行卡
export function unBindingBank(data = {}) {
    const url = globalAPI.BUSINESS_URL+'payment/v1/manage/unBinding';
    return post(url, data)
}
//绑定银行卡
export function cardBindingBank(data = {}) {
    console.log(JSON.stringify(data))
    const url = globalAPI.BUSINESS_URL+'payment/v1/manage/cardBinding';
    return post(url, data)
}
//绑定支付宝
export function alipayBindingS(data = {}) {
    const url = globalAPI.BUSINESS_URL+'payment/v1/manage/alipayBinding';
    return post(url, data)
}
//提现
export function asynNotifyM(data = {}) {
    const url = globalAPI.BUSINESS_URL+'payment/v1/xoado/withdraw';
    return post(url, data)
}